# $Revision: 1.27 $, $Date: 2004/08/10 19:32:04 $
Summary:	GNU Autounit - unit testing frameworks for Autoconf
Summary(pl):	GNU Autoconf - szkielet do testw dla Autoconfa
Name:		autounit
Version:	0.15.2
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://www.recursism.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	ce0469ca0a9e421670918fcaf52fd8b6
Patch0:		%{name}-info.patch
Patch1:		%{name}-no_html_doc.patch
Patch2:		%{name}-Makefile.patch
URL:		http://www.recursism.com/web/index.php?action=page&name=autounit
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib-devel
BuildRequires:	libtool
Requires(post,preun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Autounit's goal is to provide a common unit testing framework for
application developers who use GNU Autoconf already in their projects
but do not currently use a unit testing framework.

%description -l pl
Celem programu GNU Autounit jest dostarczenie wsplnego systemu testw
dla twrcw aplikacji ju uywajcych programu GNU Autoconf w swoich
projektach, ale aktualnie nie uywajcych programw testujcych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libau-c-unit.so.*.*.*
%attr(755,root,root) %{_libdir}/libau-c-unit.so
%{_libdir}/libau-c-unit.la
%{_libdir}/libau-c-unit.a
%{_includedir}/autounit
%{_datadir}/guile/autounit
%{_pkgconfigdir}/*.pc
%{_aclocaldir}/*.m4
%{_infodir}/autounit.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autounit.spec,v $
Revision 1.27  2004/08/10 19:32:04  havner
- rel 2

Revision 1.26  2004/08/10 19:23:31  havner
- Makefile patch

Revision 1.25  2004/08/10 18:42:26  averne
- refresh config.sub

Revision 1.24  2003/11/09 17:59:47  qboosh
- up to 0.15.2, updated no_html_doc patch and file list

Revision 1.23  2003/11/09 09:08:46  qboosh
- proper summaries, URL working without cache etc.

Revision 1.22  2003/11/08 22:16:11  qboosh
- updated URLs

Revision 1.20  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.19  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/12/12 01:33:20  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/10/11 17:34:28  kloczek
- release 2.

Revision 1.15  2002/10/10 11:52:50  marcus
- use new %%doc

Revision 1.14  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 15:50:32  arturs
fixed a small typo

Revision 1.10  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/28 04:37:45  kloczek
- updated to 0.10.2,
- added no_html_doc patch.

Revision 1.6  2001/08/24 03:58:27  kloczek
- upadated to 0.10.1,
- regenerate ac/am/ah/lt files (spec is ac 2.5x ready).

Revision 1.5  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/05/20 10:03:22  kloczek
- typo in %files,
-added glib-devel to BuildRequires.

Revision 1.2  2001/05/20 09:56:46  kloczek
- finished and updated to 0.10.

Revision 1.1  2001/02/23 20:17:00  misiek
unfinished
